Bug 219722 - InstanceCookie JavaDoc is not clear.
InstanceCookie JavaDoc is not clear.
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Lookup
7.2
All All
: P3 (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@platform
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 19:19 UTC by Michael.Bishop
Modified: 2013-01-16 06:39 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael.Bishop 2012-10-08 19:19:30 UTC
When looking at the InstanceCookie#instanceCreate() JavaDoc, the documentation simply says "Create an instance."  What it doesn't note is that an instance is cached when it is created and if instanceCreate() finds a cached instance, the cached instance is returned.  instanceCreate() does not return a new instance every time it is called.

See this discussion: http://forums.netbeans.org/viewtopic.php?p=136706#136706
Comment 1 Jaroslav Tulach 2013-01-10 07:51:37 UTC
ergonomics#9fb6a51ccd2f
Comment 2 Quality Engineering 2013-01-11 03:02:31 UTC
Integrated into 'main-golden', will be available in build *201301110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9fb6a51ccd2f
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #219722: A bit of words about caching behavior of InstanceCookie and InstanceDataObject
Comment 3 Quality Engineering 2013-01-14 19:09:56 UTC
Integrated into 'releases', will be available in build *201301141642* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/9fb6a51ccd2f
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #219722: A bit of words about caching behavior of InstanceCookie and InstanceDataObject
Comment 4 Marian Mirilovic 2013-01-15 08:22:39 UTC
Yarda, 
why this P3 Enhancement was integrated into release73 branch during High Resistance ?
Comment 5 Jaroslav Tulach 2013-01-15 09:00:23 UTC
The fix was merged in as it is parent changeset of fixes for bug 224381 and bug 224631. 

After careful consideration I decided to prefer merge to transplant - especially because the 9fb6a51ccd2f change is only about javadoc and as such I knew you would not care about it anyway, Marian.
Comment 6 Marian Mirilovic 2013-01-16 06:39:03 UTC
(In reply to comment #5)
> After careful consideration I decided to prefer merge to transplant -
> especially because the 9fb6a51ccd2f change is only about javadoc and as such I
> knew you would not care about it anyway, Marian.

Right, thanks for explanation.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo